#include "colors.inc"
#include "stones1.inc"
#include "woods.inc"
#version 3.0
global_settings { assumed_gamma 2.2 }

#declare stdfinish = finish { diffuse .6 phong .75 phong_size 130 }


camera {
   location <0, 1.0, -7>
   look_at <0,1.0,0>
}

  light_source {<10, -100, -50> color Gray30 shadowless}

  light_source {
    <500, 1300, -400>
    color Gray90
    area_light <90, 0, 0>, <0, 0, 90>, 50, 50
    adaptive 1
    jitter
  }

  light_source {
    <-330, 175, -1000>
    color Gray90
    area_light <70, 0, 0>, <0, 0, 70>, 50, 50
    adaptive 1
    jitter
  }

  sky_sphere {
    pigment {
      gradient y
      color_map {
        [ 0.4  color rgb <0.8,0.8,0.8> ]
        [ 1.0  color rgb <0,0,0.8> ]
      }
      scale 2
      translate -1
    }
  }

union {
  #include "polyhd02.inc"
  pigment { color rgb <0.4,0.4,0.95> }
  finish { stdfinish }
  scale 1
  rotate <160,135,40>
  translate <5,1.3,2.6>
}

union {
  #include "HELIX06.INC"
  finish { stdfinish }
  rotate <50,20,0>
  scale .08
  translate <0.5,6.5,15>
}

union {
  #include "polyhd01.inc"
  pigment { color rgb <0.8,0.25,0.75> }
  finish { stdfinish }
  scale 3
  rotate <12,80,40>
  translate <-12,9,17>
}

union {
  #include "icosahed.cyl"
  pigment { color rgb <0.8,0.65,0.9> }
  finish { stdfinish }
  scale 2.6
  rotate <12,42,0>
  translate <-5.8,3,8>
}

union {
  #include "HELIX05.INC"
  finish { stdfinish }
  rotate <50,0,20>
  scale .017
  translate <2.8,-0.4,-0.5>
}

union {
  #include "HELIX07.INC"
  finish { stdfinish }
  rotate <70,20,0>
  scale .015
  translate <-1,-.5,-1>
}

union {
  #include "STLDODEC.CYL"
  pigment { color Yellow }
  finish { stdfinish }
  scale 3
  rotate y*5
  translate <5.3,2.9,7>
}

union {
  #include "trncicos.inc"
  pigment { color DarkOrchid }
  finish { stdfinish }
  scale 4
  rotate y*-20
  translate <-.5,2,5.6>
}

union {
union {
  #include "phedtri.inc"
  pigment { color Red }
  finish { stdfinish }
}
union {
  #include "phedtri.010"
  pigment { color Orange }
  finish { stdfinish }
}
scale 1.6
translate <1.3,.6,1.9>
}

union {
union {
  #include "plystr1x.inc"
  pigment { color DarkTurquoise }
  finish { stdfinish }
}
union {
  #include "plystr1x.010"
  pigment { color LightBlue }
  finish { stdfinish }
}
scale 1.5
translate <-3.5,.5,1>
}

plane { y, -1.5
  texture { T_Stone17
  scale 4
  }
}

plane { -z, -26
  texture { T_Wood7
  scale 6
  rotate y*86
  }
}
